> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tenant List

> API to fetch a paginated list of tenants available in your workspace.



## OpenAPI

````yaml GET /v1/tenant/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/tenant/:
    get:
      summary: Get Tenant List
      description: API to fetch a paginated list of tenants available in your workspace.
      operationId: get-tenant-list
      parameters:
        - name: limit
          in: query
          description: number of results to be returned in API response
          schema:
            type: integer
            default: 20
        - name: offset
          in: query
          description: starting position of tenant list
          schema:
            type: integer
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              examples:
                Result:
                  value:
                    meta:
                      count: 28
                      limit: 20
                      offset: 0
                    results:
                      - tenant_id: random_id
                        tenant_name: Awesome Tenant
                        logo: >-
                          https://ik.imagekit.io/l0quatz6utm/suprsend/staging/media/suprsend-only-logo_c8aa27faef118418e8c5bd7b31a1cafc74e09200.png
                        timezone: null
                        blocked_channels: null
                        embedded_preference_url: >-
                          https://app.suprsend.com/en/user-settings/notifications
                        hosted_preference_domain: preferences.suprsend.com
                        primary_color: '#ff0000'
                        secondary_color: null
                        tertiary_color: null
                        social_links:
                          website: https://suprsend.com
                          facebook: ''
                          linkedin: ''
                          x: ''
                          instagram: ''
                          medium: ''
                          discord: ''
                          telegram: ''
                          youtube: ''
                        properties: {}
                        updated_at: '2025-04-06T20:57:16.935605Z'
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      count:
                        type: integer
                        example: 28
                        description: Total number of results returned.
                      limit:
                        type: integer
                        example: 20
                      offset:
                        type: integer
                        example: 0
                        description: offset passed in request
                  results:
                    type: array
                    description: >-
                      List of tenants available in the workspace. Tenant JSON is
                      same as tenant upsert response.
                    items:
                      type: object
                      properties:
                        tenant_id:
                          type: string
                          example: random_id
                        tenant_name:
                          type: string
                          example: Awesome Tenant
                        logo:
                          type: string
                          format: uri
                          example: https://logo.png
                        timezone:
                          type: string
                          nullable: true
                          description: >-
                            timezone of the tenant. Used as fallback if user's
                            timezone is not set.
                          example: America/New_York
                        blocked_channels:
                          type: string
                          nullable: true
                          examples:
                            email:
                              summary: Email channel
                              value: email
                            sms:
                              summary: SMS channel
                              value: sms
                          description: channels that are blocked for the tenant.
                        embedded_preference_url:
                          type: string
                          format: uri
                          example: >-
                            https://app.suprsend.com/en/user-settings/notifications
                          description: >-
                            url of the preference page inside the tenant
                            product.
                        hosted_preference_domain:
                          type: string
                          example: preferences.suprsend.com
                          description: domain of the hosted preference page.
                        primary_color:
                          type: string
                          example: '#ff0000'
                        secondary_color:
                          type: string
                          nullable: true
                          example: '#ff0000'
                        tertiary_color:
                          type: string
                          nullable: true
                          example: '#ff0000'
                        social_links:
                          type: object
                          properties:
                            website:
                              type: string
                              example: https://suprsend.com
                            facebook:
                              type: string
                              example: ''
                            linkedin:
                              type: string
                              example: ''
                            x:
                              type: string
                              example: ''
                            instagram:
                              type: string
                              example: ''
                            medium:
                              type: string
                              example: ''
                            discord:
                              type: string
                              example: ''
                            telegram:
                              type: string
                              example: ''
                            youtube:
                              type: string
                              example: ''
                        properties:
                          type: object
                          additionalProperties: true
                          example:
                            address: my company address
                        updated_at:
                          type: string
                          format: date-time
                          example: '2025-04-06T20:57:16.935605Z'
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````

Built with [Mintlify](https://mintlify.com).